Name:           logrotate
Version:        3.7.5
Release:        %mkrel 8
Summary:        Rotates, compresses, removes and mails system log files
License:        GPL
Group:          File tools
URL:            http://download.fedora.redhat.com/pub/fedora/linux/core/development/source/SRPMS/
Source0:        %{name}-%{version}.tar.gz
Source1:        logrotate.conf
Source2:        logrotate.cron
Patch0:         logrotate-stop_on_script_errors.patch
Patch1:         logrotate-run_scripts_with_arg0.patch
# ease upgrade regarding #20745
Conflicts:      sysklogd < 1.4.2
Conflicts:      syslog-ng < 1.6.9-1mdk 
BuildRequires:  popt-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
The logrotate utility is designed to simplify the administration of
log files on a system which generates a lot of log files.  Logrotate
allows for the automatic rotation compression, removal and mailing of
log files.  Logrotate can be set to handle a log file daily, weekly,
monthly or when the log file gets to a certain size.  Normally,
logrotate runs as a daily cron job.

Install the logrotate package if you need a utility to deal with the
log files on your system.

%prep
%setup -q
%patch0 -p1 -b .stop_on_script_errors
%patch1 -p1 -b .run_scripts_with_arg0

%build
%{make} RPM_OPT_FLAGS="%{optflags}" WITH_SELINUX=no
%{make} test

%install
%{__rm} -rf %{buildroot}
%{make} PREFIX=%{buildroot} MANDIR=%{_mandir} install 

%{__mkdir_p} %{buildroot}%{_sysconfdir}
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/%{name}.conf

%{__mkdir_p} %{buildroot}%{_sysconfdir}/cron.daily
%{__install} -m 0755 %{SOURCE2} %{buildroot}%{_sysconfdir}/cron.daily/%{name}

install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}.d

%clean
%{__rm} -rf %{buildroot}

%post
if [ $1 = 1 ]; then
    # installation
    /bin/touch %{_var}/lib/logrotate.status
fi

%files
%defattr(-,root,root)
%doc CHANGES COPYING examples README*
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_sysconfdir}/cron.daily/%{name}
%{_sysconfdir}/%{name}.d
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.8*


%changelog
* Mon Mar 24 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.7.5-8mdv2008.1
+ Revision: 189740
- more verbose error message in logs (fix #36904)

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.7.5-7mdv2008.1
+ Revision: 152866
- rebuild
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jul 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.7.5-5mdv2008.0
+ Revision: 53701
- don't rotate lastlog (fix #15160)

* Thu Jun 28 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.7.5-4mdv2008.0
+ Revision: 45557
- minor spec and config file edits for consistency with sysklogd
- bump conflict on sysklogd to help upgrade

* Mon Jun 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.7.5-3mdv2008.0
+ Revision: 40897
- don't ship data file, but create it with empty content on %%post
- spec cleanup
- don't ship syslog logrotate configuration


* Sat Mar 31 2007 Gustavo De Nardin <gustavodn@mandriva.com> 3.7.5-2mdv2007.1
+ Revision: 150121
- added patch logrotate-stop_on_script_errors.patch: makes logrotate stop
  processing logs when scripts exit with error, fixes #29979
- added patch logrotate-run_scripts_with_arg0.patch: runs scripts passing a simple
  fixed $0 for error messages and such

* Thu Mar 08 2007 David Walluck <walluck@mandriva.org> 3.7.5-1mdv2007.1
+ Revision: 134942
- 3.7.5

  + Warly <warly@mandriva.com>
    - fix permission on /etc/logrotate.d/syslog
    - uncompresse extra sources; fix bug 12557

* Mon Nov 20 2006 Oden Eriksson <oeriksson@mandriva.com> 3.7.3-4mdv2007.1
+ Revision: 85708
- Import logrotate

* Tue May 23 2006 Pixel <pixel@mandriva.com> 3.7.3-4mdk
- use the proper package name for the conflict on sysklogd

* Mon Jan 30 2006 Michael Scherer <misc@mandriva.org> 3.7.3-3mdk
- use the proper version for the conflict, thanks blino for spotting this

* Fri Jan 27 2006 Michael Scherer <misc@mandriva.org> 3.7.3-2mdk
- add a syslog logrotate config files, to close #20745

* Thu Dec 29 2005 Oden Eriksson <oeriksson@mandriva.com> 3.7.3-1mdk
- sync with fedora (3.7.3-2.1)
- spec file massage
- drop upstream patches, reorder patches, rediff P0
- run the test suite

* Mon Mar 14 2005 Frederic Lepied <flepied@mandrakesoft.com> 3.7.1-2mdk
- sync with 3.7.1-7
- fix snort log rotating problem (bug #13731)

* Fri Dec 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.7.1-1mdk
- 3.7.1

* Thu May 13 2004 Michael Scherer <misc@mandrake.org> 3.7-1mdk
- New release 3.7

